## totem 3.26.0

=== meson_options.txt ===
option('enable-easy-codec-installation', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Whether to enable easy codec installation support for GStreamer')
option('enable-python', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Enable python support')
option('enable-vala', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'whether Vala plugin support is requested')
option('with-plugins', type: 'combo', choices: ['all', 'none', 'auto'], value: 'auto', description: 'Which Totem plugins to compile (default: auto; "all", "none" and "auto" are valid)')
option('enable-nautilus', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'compile the nautilus plugin')
option('with-nautilusdir', type: 'string', value: '', description: 'Installation path for Nautilus extension')
option('enable-gtk-doc', type: 'boolean', value: false, description: 'use gtk-doc to build documentation')
option('enable-introspection', type: 'combo', choices: ['yes', 'no', 'auto'], value: 'auto', description: 'Enable GObject Introspection (depends on GObject)')

## totem 2.32.0-0ubuntu1trisquel1

=== debian/changelog ===
totem (2.32.0-0ubuntu1trisquel1) slaine; urgency=low

  * Patched to fix Youtube plugin

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 05 Apr 2011 23:16:18 +0000

totem (2.32.0-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Update translations
    - Port back from GApplication to libunique
    - Fix a couple more uses of deprecated GDK API
    - Stop using deprecated GDK API
    - Some minor plugin documentation fixes
  * debian/control.in:
    - bump gtk build-dep  
  * debian/patches/08_scrsaver_startup_inhibit.patch:
    - adapted to new upstream release

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 28 Sep 2010 00:22:17 +0200

totem (2.31.90-0ubuntu2) maverick; urgency=low

  * Fix LP: #630753 - gnome-screensaver activates while watching a movie 
    in totem. Attempting to inhibit the screensaver before running the main
    loop will always fail, because the DBus proxy will not be setup yet,
    and the X11 fallback doesn't do anything in Ubuntu
    - add debian/patches/08_scrsaver_startup_inhibit.patch
    - update debian/patches/series

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 24 Sep 2010 23:12:06 +0100

totem (2.31.90-0ubuntu1) maverick; urgency=low

  * New upstream release:
    - Add chapters plugin
    - Support Web-M videos in YouTube plugin
    - Fix possible crash when quitting whilst the stream's tags are being
      gathered
    - Make it possible to use --raw along with --size in thumbnailer
    - Loads of updated translations
  * debian/control.in:
    - build-dep on libsoup for the youtube plugin 
    Note: didn't add the chapters plugin. Can be done in Natty.

 -- Didier Roche <didrocks@ubuntu.com>  Mon, 13 Sep 2010 17:33:51 +0200

totem (2.31.6-0ubuntu1) maverick; urgency=low

  * New upstream version:
    - Add support for Web-M to browser, movie player, and YouTube plugin
    Movie Player:
    - Add deinterlacing support, automatically used for interlaced content
    - Do not block when loading playlists
    - Remove libunique dependency
    - Make auto-resize use half-scale or 2x if the player would fit on the 
      screen
    - Make screensaver preference clearer
    - Support running with RGBA (semi-transparent) GTK+ themes
    Plugins:
    - Update for YouTube website changes
    Browser plugin:
    - Fix running browser plugin in non-GTK+ front-ends
    - VLC-compatible browser plugin:
    - Support input.time and input.length property
    - Support togglePause function
    - Support toolbar plugin argument
  * debian/control.in:
    - updated the build requirements to match the configure
  * debian/patches/80_webm.patch,
    debian/patches/81_mpegts.patch,
    debian/patches/91_git_correct_rgba_use.patch:
    - the changes are in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Aug 2010 13:09:09 +0200

totem (2.30.2-2ubuntu2) maverick; urgency=low

  * debian/control.in:
    - Build-depend on gtk-doc-tools

 -- Robert Ancell <robert.ancell@canonical.com>  Mon, 28 Jun 2010 17:16:32 +1000

totem (2.30.2-2ubuntu1) maverick; urgency=low

  * debian/patches/70_bbc_plugin.patch:
    - Fix crash in BBC plugin, thanks Sam Tygier (LP: #563671)
  * Merge with Debian unstable, remaining Ubuntu changes:
  * debian/control:
    - Build-depend on gnome-common for autotools
    - Don't build using libepc, galago those are in universe
    - Don't use libtracker, the current version is not very useful and not
      something to recommend to users and totem requires a newer version
    - Remove superfluous xulrunner-dev build-depend
    - Build-depend on liblaunchpad-integration-dev
    - Add Vcs-Bzr link
    - totem-plugins doesn't depend on python-gdata since libgdata is used
      instead nowadays
    - Add XB-Npp-Description and XB-Npp-Filename header to the 
      totem-mozilla package to improve ubufox/ubuntu plugin db integration 
    - Change refences from Iceweasel to Firefox
    - Split totem-plugins package in an extra package for the components 
      which have depends in universe
    - Use suggests rather than recommends for universe gstreamer components
    - Add totem-plugins-extra package
  * debian/rules:
    - Run autotools on build
  * debian/source_totem.py:
    - Apport hook
  * debian/totem-common.gconf-defaults: 
    - Activate content retrieval plugins (BBC and YouTube) by default
  * debian/totem-common.install:
    - Install apport hook
  * debian/totem-plugins-extra.install:
    - Plugins split out ouf totem-plugins
  * debian/totem-plugins.install:    
    - Move some plugins to totem-plugins-extra
  * debian/totem.preinst:
    - No longer required as Lucid has been released
  * debian/patches/02_lpi.patch:
    - Launchpad integration
  * debian/patches/07_disable_web_browser_midi.patch:
    - Karmic's version of gstreamer does not support MIDI over HTTP
  * debian/patches/70_bbc_plugin.patch:
    - Updated from upstream bug report
  * debian/patches/90_autotools.patch:
    - Not required, autotools run from debian/rules
  * debian/patches/91_git_correct_rgba_use.patch:
    - git change to fix totem crashing with gtk csd
  * debian/watch:
    - Watch for unstable versions

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 25 Jun 2010 13:53:18 +1000

totem (2.30.2-2) unstable; urgency=low

  * debian/patches/80_webm.patch,
    debian/patches/81_mpegts.patch:
    + Patches from upstream GIT to add MPEG TS and WebM support in
      the browser plugin and to add the mimetypes to the list of
      supported mimetypes.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 29 May 2010 11:25:57 +0200

totem (2.30.2-1) unstable; urgency=low

  * New upstream bugfix release:
    + debian/patches/90_autotools.patch:
      - Updated for the new version.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 12 May 2010 18:34:53 +0200

totem (2.30.1-2) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 03 May 2010 13:52:51 +0200



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: totem
Section: video
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastien Bacher <seb128@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Sebastian Dröge <slomo@debian.org>
Build-Depends: debhelper (>= 5.0.51~),
               cdbs,
               gnome-common,
               quilt,
               python-support (>= 0.6),
               libglib2.0-dev (>= 2.25.11),
               libatk1.0-dev (>= 1.29.4),
               libgtk2.0-dev (>= 2.21.8),
               libunique-dev,
               libtotem-plparser-dev (>= 2.30.2),
               liblircclient-dev (>= 0.6.6),
               libirman-dev (>= 0.4.2),
               gnome-pkg-tools (>= 0.10),
               scrollkeeper,
               libgstreamer0.10-dev (>= 0.10.30),
               libgstreamer-plugins-base0.10-dev (>= 0.10.30),
               gstreamer0.10-tools (>= 0.10.30),
               gstreamer0.10-plugins-base (>= 0.10.30),
               gstreamer0.10-plugins-good,
               librsvg2-dev (>= 2.16.0-2),
               librsvg2-common (>= 2.16.0-2),
               libnautilus-extension-dev (>= 2.22),
               libmusicbrainz4-dev (>= 2.1.1-4.1),
               gnome-icon-theme (>= 2.15.90),
               libdbus-glib-1-dev (>= 0.61),
               intltool (>= 0.40),
               autotools-dev,
               dpkg-dev (>= 1.13.19),
               libgconf2-dev,
               shared-mime-info (>= 0.22),
               libhal-dev (>= 0.5),
               libcam-dev [kfreebsd-i386 kfreebsd-amd64],
               libxtst-dev,
               libxrandr-dev (>= 1.1.1),
               libxxf86vm-dev (>= 1.0.1),
               libx11-dev,
               libsm-dev,
               libice-dev,
               libsoup2.4-dev,
               x11proto-core-dev,
               gtk-doc-tools,
               gnome-doc-utils,
               python-dev (>= 2.3),
               python-gobject-dev (>= 2.15.3),
               python-gtk2-dev (>= 2.13),
               python-gst0.10-dev (>= 0.10.11),
               python-xdg,
               python-rdflib,
               libbluetooth-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
               libgdata-dev (>= 0.6.0),
               liblaunchpad-integration-dev (>= 0.1.17)
Standards-Version: 3.8.4
Homepage: http://www.gnome.org/projects/totem/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/totem/ubuntu

Package: totem
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         gstreamer0.10-plugins-base (>= 0.10.30),
         gstreamer0.10-alsa | gstreamer0.10-audiosink,
         gstreamer0.10-plugins-good (>= 0.10.7),
         gstreamer0.10-x,
         gnome-icon-theme (>= 2.15.90),
         totem-common (>= ${gnome:Version}),
         totem-common (<< ${gnome:NextVersion})
Conflicts: totem (<< 0.99.12-2),
           gnome-control-center (<< 2.15.90),
           totem-mozilla (<< 2.20.0-3),
           totem-gstreamer (<< 2.27.1),
           totem-xine (<< 2.27.1)
Replaces: totem-xine (<< 2.27.1),
          totem-gstreamer (<< 2.27.1),
          totem-common (<< 2.28.1-1)
Provides: totem-xine,
          totem-gstreamer
Recommends: totem-mozilla (>= ${source:Version}),
            totem-plugins (>= ${source:Version})
Suggests: gnome-codec-install,
          gstreamer0.10-pulseaudio (>= 0.10.16-5),
          gstreamer0.10-plugins-ugly,
          gstreamer0.10-plugins-bad,
          gstreamer0.10-ffmpeg
Description: A simple media player for the GNOME desktop based on GStreamer
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats. It features :
 .
    * Shoutcast, m3u, asx, SMIL and ra playlists support
    * DVD (with menus), VCD and Digital CD (with CDDB) playback
    * TV-Out configuration with optional resolution switching
    * 4.0, 5.0, 5.1 and stereo audio output
    * Full-screen mode (move your mouse and you get nice controls) with
      Xinerama, dual-head and RandR support
    * Aspect ratio toggling, scaling based on the video's original size
    * Full keyboard control
    * Simple playlist with repeat mode and saving feature
    * GNOME, Nautilus and GIO integration
    * Screenshot of the current movie
    * Brightness and Contrast control
    * Visualisation plugin when playing audio-only files
    * Video thumbnailer for nautilus
    * Nautilus properties page
    * Works on remote displays
    * DVD, VCD and OGG/OGM subtitles with automatic language selection
    * Extensible with plugins

Package: totem-mozilla
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         totem (= ${binary:Version}),
         dbus-x11 (>= 0.61)
Recommends: epiphany-browser | www-browser
XB-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384, 92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a
XB-Npp-Name:  Totem Mozilla plugin
XB-Npp-MimeType: video/quicktime, video/mp4, image/x-macpaint, image/x-quicktime, application/x-mplayer2, video/x-ms-asf-plugin, video/x-msvideo, video/x-ms-asf, video/x-ms-wmv, video/x-wmv, video/x-ms-wvx, video/x-ms-wm, application/ogg, video/mpeg, audio/wav, audio/x-wav, audio/mpeg
XB-Npp-Description: Watch Movies in your Browser (http://projects.gnome.org/totem/)
XB-Npp-Filename: libtotem-
Description: Totem Mozilla plugin
 This package contains the Totem Mozilla plugin, which will
 enhance your Gecko-based browser to be able to display movie
 clips.
 .
 This plugin should work for Firefox as well as XULRunner based browsers.

Package: totem-common
Architecture: all
Depends: ${misc:Depends}
Replaces: totem-xine (<< 2.20.0-3), totem-gstreamer (<< 2.20.0-3)
Description: Data files for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains common data files and translations.

Package: totem-dbg
Architecture: any
Section: debug
Priority: extra
Depends: totem (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libtotem-plparser1-dbg, libtotem-plparser7-dbg
Description: Debugging symbols for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains detached debugging symbols.

Package: totem-plugins
Architecture: any
Depends: totem (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
         python-gobject (>= 2.18),
         python-gtk2 (>= 2.13),
         python-gconf,
         python-gst0.10 (>= 0.10.11),
         python-xdg,
         python-rdflib,
         python-gdbm,
         python-httplib2
Recommends: gnome-settings-daemon
Replaces: totem-xine (<< 2.20.0-3), totem-gstreamer (<< 2.20.0-3)
Suggests: gromit
Description: Plugins for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains a set of recommended plugins for Totem, which
 allow to:
 .
    * Control Totem with an Infrared remote control
    * Control Totem with the keyboard's media player keys
    * Keep the Totem window on top of the screen
    * Display movie properties
    * Deactivate the screensaver when a movie is playing
    * Skip to a defined time in the movie
    * Set the away status in the instant messenger when a movie is
      playing
    * Control totem with a mobile phone using the Bluetooth protocol
    * Share the current playlist via HTTP
    * Search, browse for and play videos from YouTube
    * Search, browse for and play videos from the BBC
 .
 Additional plugins can be written in C, Python or Vala.

Package: totem-xine
Architecture: all
Depends: totem (>= 2.27.1),
         ${misc:Depends}
Description: A simple media player for the GNOME desktop (transitional package)
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package is a transitional package.

Package: totem-gstreamer
Architecture: all
Depends: totem (>= 2.27.1),
         ${misc:Depends}
Description: A simple media player for the GNOME desktop (transitional package)
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package is a transitional package.

Package: totem-plugins-extra
Architecture: any
Depends: totem (= ${binary:Version}),
	 python-coherence,
         ${misc:Depends},
         ${shlibs:Depends},
         python-beautifulsoup,
         python-feedparser
Recommends: gromit
Replaces: totem-xine (<< 2.20.0-3),
          totem-gstreamer (<< 2.20.0-3),
	  totem-plugins (<< 2.27.92-0ubuntu2),
          totem-plugins-extra (<< 2.27.1-0ubuntu1)
Description: Extra plugins for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains an extra set plugins for Totem, which allow to:
 .
    * Annotate the screen with the Gromit tool
    * Have a DLNA/UPnP client for Totem powered by Coherence
    * Stream BBC programs
 .
 Additional plugins can be written in C, Python or Vala.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
-include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_AUTO_UPDATE_LIBTOOL=pre
DEB_AUTO_UPDATE_ACLOCAL=1.11
DEB_AUTO_UPDATE_AUTOCONF=1
DEB_AUTO_UPDATE_AUTOHEADER=1
DEB_AUTO_UPDATE_AUTOMAKE=1.11

DEB_CONFIGURE_EXTRA_FLAGS += \
	--enable-vala=no \
	--disable-run-in-source-tree \
	--disable-scrollkeeper

DEB_DH_STRIP_ARGS := --dbg-package=totem-dbg

DEB_DH_MAKESHLIBS_ARGS += -Xdebian/

binary-install/totem-plugins::
	dh_pysupport -ptotem-plugins /usr/lib/totem/plugins
binary-install/totem-coherence::
	dh_pysupport -ptotem-coherence /usr/lib/totem/plugins

common-binary-predeb-arch::
	find debian -name *.a -exec rm '{}' \;
	find debian -name *.la -exec rm '{}' \;

## totem 3.0.1

=== debian/changelog ===
totem (3.0.1-0ubuntu21.1) precise-proposed; urgency=low

  * debian/patches/git_use_keywords.patch:
    - backport upstream patch to set keywords in the desktop entry, 
      it makes easier to find totem in the unity dash or gnome-shell
      (lp: #976624)

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 27 Jul 2012 15:47:52 +0200

totem (3.0.1-0ubuntu21) precise; urgency=low

  * debian/patches/git_tracks_language.patch:
    - git fix, displays tracks in their language
  * debian/patches/git_remote_option_parsing.patch:
    - git fix, fix remote options parsing
  * debian/patches/correct_desktop_mimetypes.patch:
    - don't list the mimetypes after the unity lists (lp: #956597)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 02 Apr 2012 22:43:50 +0200

totem (3.0.1-0ubuntu20) precise; urgency=low

  * debian/control.in: Fix dependencies: python-gobject → python-gi.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 13 Mar 2012 19:24:50 +0100

totem (3.0.1-0ubuntu19) precise; urgency=low

  * Add quicklist to totem.desktop (LP: #938031)

 -- Stéphane Graber <stgraber@ubuntu.com>  Mon, 12 Mar 2012 14:29:02 -0400

totem (3.0.1-0ubuntu18) precise; urgency=low

  * Rebuild with new pkgbinarymangle to fix md5sum issues (lp: #936368)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 20 Feb 2012 16:45:00 +0100

totem (3.0.1-0ubuntu17) precise; urgency=low

  * debian/control.in:
    - don't Build-Depends on libxtst-dev so the codepath generating fake key
      events is disabled, those events lead to weird behaviours with
      some applications or the unity hud (lp: #923644)
    - drop the Build-Depends on individual girs, the libs depends on those
  * debian/patches/git_commandfix_incorrect_free.patch:
    - fix segfault with on line options use (lp: #860079, #884811, #917241)

  [ Jeremy Bicha ]
  * Drop coherence plugin description since the plugin has been
    removed by GNOME. (LP: #827382)

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 06 Feb 2012 11:48:10 +0100

totem (3.0.1-0ubuntu16) precise; urgency=low

  * Drop build-dependency on libmusicbrainz4-dev (LP: #793929).

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 31 Jan 2012 12:42:57 +0200

totem (3.0.1-0ubuntu15) precise; urgency=low

  * Rebuild with the newest pkgbinarymangler (lp: #913085).

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Jan 2012 18:09:13 +0100

totem (3.0.1-0ubuntu14) precise; urgency=low

  * Rebuild with fixed pkgbinarymangler (lp: #913085).

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 13 Jan 2012 12:18:37 +0100

totem (3.0.1-0ubuntu13) precise; urgency=low

  * No change rebuild to fix accidental 3.3.4 upload

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 09 Jan 2012 18:52:53 -0500

totem (3.0.1-0ubuntu12) precise; urgency=low

  * No-change rebuild against libnautilus-extension1a.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Mon, 12 Dec 2011 09:16:01 +0100

totem (3.0.1-0ubuntu11) precise; urgency=low

  * debian/patches/04_port_to_gobject.patch:
    - Port opensubtitles/opensubtitles.py too.  LP: #883694

 -- Michael Terry <mterry@ubuntu.com>  Thu, 01 Dec 2011 14:49:48 -0500

totem (3.0.1-0ubuntu10) precise; urgency=low

  * debian/control.in:
    - remove the hard dep on libzeitgeist-1.0-1, let dh_shlibdeps do the
      work
  * debian/patches/03_default_options.patch:
    - enable the zeitgeist extension by default

 -- Didier Roche <didrocks@ubuntu.com>  Tue, 15 Nov 2011 15:12:18 +0100

totem (3.0.1-0ubuntu9) precise; urgency=low

  * Enable zeitgeist-dp vala plugin for totem (LP: #879702) 

 -- Manish Sinha <manishsinha@ubuntu.com>  Wed, 26 Oct 2011 06:01:03 +0530

totem (3.0.1-0ubuntu8) precise; urgency=low

  * debian/patches/04_port_to_gobject.patch:
    Port opensubtitles/hash.py also
  * debian/patches/90_fix_save_playlist.patch:
    Git patch to fix broken save plugin button (LP: #873719)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 15 Oct 2011 17:48:44 -0400

totem (3.0.1-0ubuntu7) oneiric-proposed; urgency=low

  * debian/patches/04_port_to_gobject.patch:
    Use the new pygobject, fixes all Python plugins (LP: #855100)
  * debian/patches/70_bbc_plugin.patch: Dropped completely as a different
    version of this patch is now part of Totem's official plugins

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 11 Oct 2011 00:30:17 -0400

totem (3.0.1-0ubuntu5) oneiric; urgency=low

  * debian/control: backport libtotem-dev from Debian.
  * debian/libtotem-dev.install: add install file for libtotem-dev.
  * debian/control, debian/totem.install, debian/libtotem-dev.install: move
    /usr/share/gir1.0 to libtotem-dev.

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Wed, 24 Aug 2011 11:07:42 -0400

totem (3.0.1-0ubuntu4) oneiric; urgency=low

  * debian/patches/youtube-api-gdata9.patch: fix FTBFS: use the new gdata 0.9
    API to interface with Google services for youtube. (LP: #829427)

 -- Mathieu Trudel-Lapierre <mathieu-tl@ubuntu.com>  Fri, 19 Aug 2011 17:26:58 -0400

totem (3.0.1-0ubuntu3) oneiric; urgency=low

  * Build-depend on gstreamer0.10-gconf, which is split out now from
    gstreamer0.10-plugins-good.
  * python-support is deprecated; migrate to dh_python2.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 09 Aug 2011 21:53:17 -0700

totem (3.0.1-0ubuntu2) oneiric; urgency=low

  * debian/control.in: build-depends on gtk-doc-tools

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 23 May 2011 15:36:09 +0200

totem (3.0.1-0ubuntu1) oneiric; urgency=low

  * Resynchronize on Debian, remaining diffs:
  * debian/control.in:
    - use suggests rather than recommends for universe gstreamer components
    - add totem-plugins-extra for the components which have depends in universe
    - add build-depends on gnome-common, dh-autoreconf, 
      liblaunchpad-intrgration-3.0-dev, hardening-wrapper
    - drop build-depends on libepc-ui-dev, python-feedparser, xulrunner-dev,
      libtracker-sparql-0.10-dev
    - add XB-Npp-Description and XB-Npp-Filename header to the 


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: totem
Section: video
Priority: optional
Maintainer: Ubuntu Desktop Team <ubuntu-desktop@lists.ubuntu.com>
XSBC-Original-Maintainer: Sebastien Bacher <seb128@debian.org>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Build-Depends: debhelper (>= 5.0.51~),
               cdbs (>= 0.4.90),
               python (>= 2.6.6-3~),
               python-gi-dev (>= 2.90.3),
               libglib2.0-dev (>= 2.27.92),
               libatk1.0-dev (>= 1.29.4),
               libgdk-pixbuf2.0-dev (>= 2.23.0),
               libgtk-3-dev (>= 3.0.0),
               libtotem-plparser-dev (>= 2.32.4-2),
               libsoup2.4-dev,
               libpeas-dev (>= 0.7.2),
               libxml2-dev (>= 2.6.0),
               liblircclient-dev (>= 0.6.6),
               libirman-dev (>= 0.4.2),
               gnome-pkg-tools (>= 0.10),
               gtk-doc-tools,
               scrollkeeper,
               libgstreamer0.10-dev (>= 0.10.30),
               libgstreamer-plugins-base0.10-dev (>= 0.10.30),
               gstreamer0.10-tools (>= 0.10.26),
               gstreamer0.10-plugins-base (>= 0.10.26),
               gstreamer0.10-plugins-good,
               gstreamer0.10-gconf,
               librsvg2-dev (>= 2.16.0-2),
               librsvg2-common (>= 2.16.0-2),
               libnautilus-extension-dev (>= 2.91.4),
               gnome-icon-theme (>= 2.15.90),
               libdbus-glib-1-dev (>= 0.82),
               intltool (>= 0.40),
               autotools-dev,
               dpkg-dev (>= 1.13.19),
               shared-mime-info (>= 0.22),
               libcam-dev [kfreebsd-any],
               libxrandr-dev (>= 1.1.1),
               libxxf86vm-dev (>= 1.0.1),
               libx11-dev,
               x11proto-core-dev,
               gnome-doc-utils (>= 0.20.3),
               libbluetooth-dev [linux-any],
               libgdata-dev (>= 0.8.0),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.12),
               liblaunchpad-integration-3.0-dev,
               hardening-wrapper,
               dh-autoreconf,
               gnome-common,
               valac,
               libzeitgeist-dev,
Standards-Version: 3.8.4
Homepage: http://www.gnome.org/projects/totem/
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/totem/ubuntu

Package: libtotem0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Replaces: totem (<< 3.0.1-1)
Description: Main library for the Totem media player
 This package contains the main library used by the Totem media player. It is
 used both by the media player itself and by the plugins.
 .
 This library is only useful within Totem. You should not have to
 manually install this package.


Package: totem
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends},
         gstreamer0.10-plugins-base (>= 0.10.26),
         gstreamer0.10-alsa | gstreamer0.10-audiosink,
         gstreamer0.10-plugins-good (>= 0.10.7),
         gstreamer0.10-x,
         gnome-icon-theme (>= 2.15.90),
         totem-common (= ${source:Version})
Conflicts: totem (<< 0.99.12-2),
           gnome-control-center (<< 2.15.90),
           totem-mozilla (<< 2.20.0-3),
           totem-gstreamer (<< 2.27.1)
Recommends: totem-plugins,
            gnome-icon-theme-symbolic,
            totem-mozilla
Suggests: gnome-codec-install,
          gstreamer0.10-plugins-ugly,
          gstreamer0.10-plugins-bad,
          gstreamer0.10-ffmpeg,
          gstreamer0.10-pulseaudio (>= 0.10.16-5)
Description: Simple media player for the GNOME desktop based on GStreamer
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats. It features :
 .
    * Shoutcast, m3u, asx, SMIL and ra playlists support
    * DVD (with menus), VCD and Digital CD (with CDDB) playback
    * TV-Out configuration with optional resolution switching
    * 4.0, 5.0, 5.1 and stereo audio output
    * Full-screen mode (move your mouse and you get nice controls) with
      Xinerama, dual-head and RandR support
    * Aspect ratio toggling, scaling based on the video's original size
    * Full keyboard control
    * Simple playlist with repeat mode and saving feature
    * GNOME, Nautilus and GIO integration
    * Screenshot of the current movie
    * Brightness and Contrast control
    * Visualisation plugin when playing audio-only files
    * Video thumbnailer for nautilus
    * Nautilus properties page
    * Works on remote displays
    * DVD, VCD and OGG/OGM subtitles with automatic language selection
    * Extensible with plugins

Package: totem-mozilla
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         totem (= ${binary:Version}),
         dbus-x11 (>= 0.61)
Recommends: firefox | epiphany-browser | www-browser
XB-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384, 92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a
XB-Npp-Name:  Totem Mozilla plugin
XB-Npp-MimeType: video/quicktime, video/mp4, image/x-macpaint, image/x-quicktime, application/x-mplayer2, video/x-ms-asf-plugin, video/x-msvideo, video/x-ms-asf, video/x-ms-wmv, video/x-wmv, video/x-ms-wvx, video/x-ms-wm, application/ogg, video/mpeg, audio/wav, audio/x-wav, audio/mpeg
XB-Npp-Description: Watch Movies in your Browser (http://projects.gnome.org/totem/)
XB-Npp-Filename: libtotem-
Description: Totem Mozilla plugin
 This package contains the Totem Mozilla plugin, which will
 enhance your Gecko-based browser to be able to display movie
 clips.
 .
 This plugin should work for Firefox as well as XULRunner based browsers.

Package: totem-common
Architecture: all
Depends: ${misc:Depends}
Description: Data files for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains common data files and translations.

Package: totem-dbg
Architecture: any
Section: debug
Priority: extra
Depends: totem (= ${binary:Version}),
         ${misc:Depends}
Conflicts: libtotem-plparser1-dbg, libtotem-plparser7-dbg
Description: Debugging symbols for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains detached debugging symbols.

Package: totem-plugins
Architecture: any
Depends: totem (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         ${python:Depends},
         gir1.2-totem-1.0 (= ${binary:Version}),
         gir1.2-gtk-3.0,
         gir1.2-gdkpixbuf-2.0,
         gir1.2-glib-2.0,
         gir1.2-pango-1.0,
         gir1.2-peas-1.0,
         python-gi,
         python-xdg,
         python-httplib2
Recommends: gnome-settings-daemon
Suggests: gromit
Description: Plugins for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains a set of recommended plugins for Totem, which
 allow to:
 .
    * Control Totem with an Infrared remote control
    * Control Totem with the keyboard's media player keys
    * Keep the Totem window on top of the screen
    * Display movie properties
    * Deactivate the screensaver when a movie is playing
    * Skip to a defined time in the movie
    * Set the away status in the instant messenger when a movie is
      playing
    * Control totem with a mobile phone using the Bluetooth protocol
    * Share the current playlist via HTTP
    * Search, browse for and play videos from YouTube
 .
 Additional plugins can be written in C, Python or Vala.

Package: totem-plugins-extra
Architecture: any
Depends: totem (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         python-beautifulsoup,
         python-feedparser
Recommends: gromit
Replaces: totem-xine (<< 2.20.0-3),
          totem-gstreamer (<< 2.20.0-3),
          totem-plugins (<< 2.27.92-0ubuntu2),
          totem-plugins-extra (<< 2.27.1-0ubuntu1)
Description: Extra plugins for the Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains an extra set plugins for Totem, which allow to:
 .
    * Annotate the screen with the Gromit tool
    * Stream BBC programs
 .
 Additional plugins can be written in C, Python or Vala.

Package: gir1.2-totem-1.0
Section: libs
Architecture: any
Depends: ${gir:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Description: GObject introspection data for Totem media player
 Totem is a simple yet featureful media player for GNOME which can read
 a large number of file formats.
 .
 This package contains introspection data for the Totem media player.
 .
 It can be used by packages using the GIRepository format to generate
 dynamic bindings.

Package: libtotem-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libtotem0 (= ${binary:Version}),
         gir1.2-totem-1.0 (= ${binary:Version}),
         libglib2.0-dev,
         libgtk-3-dev,
         libtotem-plparser-dev
Replaces: totem (<< 3.0.1-0ubuntu5)
Description: Main library for the Totem media player - development files
 This package contains development files for the Totem media player library.
 .
 You may need it to develop plugins for Totem.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-

export DEB_BUILD_HARDENING=1

include /usr/share/cdbs/1/rules/autoreconf.mk
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/gnome.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/gnome-pkg-tools/1/rules/uploaders.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-version.mk
include /usr/share/gnome-pkg-tools/1/rules/gnome-get-source.mk

DEB_CONFIGURE_EXTRA_FLAGS += \
	--enable-vala=yes \
	--disable-run-in-source-tree \
	--disable-scrollkeeper

DEB_DH_STRIP_ARGS := --dbg-package=totem-dbg
DEB_DH_MAKESHLIBS_ARGS += -Xplugins/
DEB_DH_GIREPOSITORY_ARGS += -lsrc
DEB_DH_MAKESHLIBS_ARGS_totem += -X/usr/lib/nautilus/
DEB_DH_MAKESHLIBS_ARGS_libtotem0 += -V'libtotem0 (>= $(DEB_VERSION)), libtotem0 (<< $(DEB_GNOME_NEXTVERSION))'

ifeq ($(DEB_HOST_ARCH_OS),linux)
install/totem-plugins::
	dh_install --autodest -ptotem-plugins --ignore=debian/totem-plugins.install \
		debian/tmp/usr/lib/totem/plugins/bemused
endif

binary-install/totem::
	dh_python2 -ptotem /usr/lib/totem/totem
binary-install/totem-plugins::
	dh_python2 -ptotem-plugins /usr/lib/totem/plugins
binary-install/totem-plugins-extra::
	dh_python2 -ptotem-plugins-extra /usr/lib/totem/plugins

common-binary-predeb-arch::
	find debian -name *.a -exec rm '{}' \;
	find debian -name *.la -exec rm '{}' \;

=== debian/watch ===
version=3
http://download.gnome.org/sources/totem/([\d\.]+)\d/totem-([\d\.]+)\.tar\.gz

## totem 3.0.1-0ubuntu21.1+6.0trisquel1

=== debian/changelog ===
totem (3.0.1-0ubuntu21.1+6.0trisquel1) toutatis; urgency=low

  * Recommend abrowser instead of firefox

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 17 Mar 2014 07:27:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 # 
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
-
 Source: totem
 Section: video
 Priority: optional
@@ -126,7 +125,7 @@
          ${shlibs:Depends},
          totem (= ${binary:Version}),
          dbus-x11 (>= 0.61)
-Recommends: firefox | epiphany-browser | www-browser
+Recommends: abrowser | epiphany-browser | www-browser
 XB-Npp-Applications: ec8030f7-c20a-464f-9b0e-13a3a9e97384, 92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a
 XB-Npp-Name:  Totem Mozilla plugin
 XB-Npp-MimeType: video/quicktime, video/mp4, image/x-macpaint, image/x-quicktime, application/x-mplayer2, video/x-ms-asf-plugin, video/x-msvideo, video/x-ms-asf, video/x-ms-wmv, video/x-wmv, video/x-ms-wvx, video/x-ms-wm, application/ogg, video/mpeg, audio/wav, audio/x-wav, audio/mpeg
